PETSc version 3.15.5
Fix/Edit manual page

# MatScaLAPACKGetBlockSizes

Gets the block sizes used in the distibution of the ScaLAPACK matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScaLAPACKGetBlockSizes(Mat A,PetscInt *mb,PetscInt *nb)

Not collective

### Input Parameter

| A | - a MATSCALAPACK matrix

### Output Parameters

| mb | - the row block size
| nb | - the column block size

### See Also

MatCreateScaLAPACK(), MatScaLAPACKSetBlockSizes()

### Level

intermediate

### Location

src/mat/impls/scalapack/matscalapack.c

### Implementations

MatScaLAPACKGetBlockSizes_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages